Turns evidence bundle signing on or off for the whole deployment and answers with the resulting signing status.
PUT
/v1/m/reporting/signing
const url = 'https://example.com/v1/m/reporting/signing';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"enabled":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/v1/m/reporting/signing \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "enabled": true }'Turns evidence bundle signing on or off for the whole deployment and answers with the resulting signing status.
Authorizations
Section titled “ Authorizations ”Request Body required
Section titled “ Request Body required ” Media type application/json
object
enabled
required
boolean
Example generated
{ "enabled": true}Responses
Section titled “ Responses ”Signing setting applied in the engine
Bad request
Media type application/json
object
Example generated
{}Unauthenticated
Media type application/json
object
Example generated
{}Forbidden / step-up required
Media type application/json
object
Example generated
{}Not found
Media type application/json
object
Example generated
{}Conflict
Media type application/json
object
Example generated
{}Required evidence or store unavailable
Media type application/json
object
Example generated
{}